#ifndef VIEW_FILTERS_H
#define VIEW_FILTERS_H
#include <gtk/gtk.h>
#include <gtk/gtkx.h>
#include "model/ubl-utils.h"
#include <locale.h>
#include <stdio.h>
#include <unistd.h>
#include <stdlib.h>
#include <libintl.h>
#include <getopt.h>
#include <libintl.h>
#include "../compile/ubl-cmake.h"
#include "model/model.h"
#include "model/load.h"

// Переменные
typedef struct {
    GtkWidget* Window;
    GtkWidget* btnFiltersSave;
    GtkWidget* btnFiltersCancel;
    GtkWidget* chbFilterName;
    GtkWidget* chbFilterQuotas;
    GtkWidget* chbFilterSize;
    GtkWidget* chbFilterSoftLimitSize;
    GtkWidget* chbFilterHardLimitSize;
    GtkWidget* chbFilterHardLimitSizeDelay;
    GtkWidget* chbFilterFiles;
    GtkWidget* chbFilterSoftLimitFile;
    GtkWidget* chbFilterHardLimitFile;
    GtkWidget* chbFilterHardLimitFileDelay;
    GtkWidget* chbProjectName;
    GtkWidget* chbFilterDevice;
    GtkWidget* chkFilterID;
    GtkWidget* chbFilterCatalog;
    char* name;
} filters_window;

// Функции
filters_window *filters_setup_window(char* glade_path);
void filters_event(filters_window *widgets);
void filters_localization(filters_window *widgets);
void filters_on_hide_subwindow(GtkWidget *self);
filters_window *get_widget_filters();
void filters_show(GtkWidget *self, char* glade_path);
void filters_destroy(GtkWidget *self);
void filters_init_flag();
void filters_set_name(char* _flag_u_g_p);
void filters_show(GtkWidget *self, char* glade_path);
void filters_set_flag();
void filters_get_tree_view(GtkWidget *tree_view);
#endif